# $Id: yum.spec,v 1.16 2003/09/09 07:43:09 dude Exp $

# Which distro to make the default configuration for, defaults to 'rh'
%{?_with_rawhide: %{expand: %%define distro rawhide}}
%{?_with_yd: %{expand: %%define distro yd}}
%{!?distro: %{expand: %%define distro rh}}

# Defined as YYYYMMDD if this is a snapshot build
#define date 20030828

# Python name and version, use "--define 'python python2'"
%{!?python: %{expand: %%define python python}}
%define pymver 2.2

Summary: YellowDog Updater Modified, an rpm package management utility.
Name: yum
Version: 2.0.3
Release: 0.rh7%{?date:.%{date}}.%{distro}.fr
License: GPL
Group: System Environment/Base
Source: http://www.dulug.duke.edu/yum/download/1.0/%{name}-%{?date}%{!?date:%{version}}.tar.gz
Source11: yum-rh.conf
Source12: yum-yd.conf
Source13: yum-rawhide.conf
URL: http://www.linux.duke.edu/projects/yum/
Requires(pre): /sbin/chkconfig, /sbin/service
Requires(post): /sbin/chkconfig, /sbin/service
Requires: rpm >= 4.1.1, %{python} >= %{pymver}, rpm-python, libxml2-python
BuildRequires: rpm-python, %{python} >= %{pymver}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

Available rpmbuild rebuild options :
--with : rh (default) yd rawhide

%prep
%setup -q -n %{name}%{!?date:-%{version}}

%build
# Replace interpreter's name if it's not "python"
if [ "%{python}" != "python" ]; then
    find . -type f | \
        xargs perl -pi -e 's|/usr/bin/python|/usr/bin/%{python}|g'
    export PYTHON="%{python}"
fi
# Change the defaut debug level of the cron entry
perl -pi -e 's|-d 0|-d 1|g' etc/yum.cron
%configure 
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
install -m 644 %{_sourcedir}/yum-%{distro}.conf %{buildroot}/etc/yum.conf

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >/dev/null 2>&1 || :

%preun
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --del yum
        /sbin/service yum stop >/dev/null 2>&1 || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config %{_sysconfdir}/cron.daily/%{name}.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}-arch
%{_datadir}/%{name}
%{_mandir}/man?/*
%{_localstatedir}/cache/%{name}

%changelog
* Tue Sep  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.3.

* Mon Sep  8 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.2.

* Thu Aug 28 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 20030828.

* Mon Aug 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.1.

* Sun Aug 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot - 20030810.

* Sat Aug  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot - 20030809.

* Thu Aug  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest snapshot - 20030807.
- Change the cron entry to debug level 1 in order for root to get mail.
- Simplified the default config based on the latest upstream one.

* Thu Jul 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added support for Red Hat Linux 7.x's "python2".

* Mon Jul 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0 final.

* Mon Jul  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.98 20030710.

* Mon Jul  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's daily release.

* Mon Jun 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.98.
- Added Red Hat Linux Rawhide config file.

* Sun May  4 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.97 for Red Hat Linux 9 and Yellow Dog Linux 3.0 at last.
- Added libxml2-python dep.

* Fri Mar 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Change configuration files to point to freshrpms.net yum repository.

* Tue Mar 11 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump ver to 1.0
- fix conf file
- for rhl 7.3

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to ver 0.9.4
- split spec file for rhl 7x vs 8

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
